For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
      • GETGet Signature Request
      • GETList Signature Requests
      • GETDownload Files
      • GETDownload Files as Data Uri
      • GETDownload Files as File Url
      • POSTSend Signature Request
      • POSTSend with Template
      • POSTBulk Send with Template
      • POSTSend Request Reminder
      • POSTRelease On-Hold Signature Request
      • POSTUpdate Signature Request
      • POSTCancel Incomplete Signature Request
      • POSTRemove Signature Request Access
      • POSTEmbedded Bulk Send with Template
      • POSTCreate Embedded Signature Request
      • POSTCreate Embedded Signature Request with Template
      • PUTEdit Signature Request
      • PUTEdit Embedded Signature Request
      • PUTEdit Embedded Signature Request with Template
      • PUTEdit Signature Request With Template
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceSignature Request

Bulk Send with Template

||View as Markdown|
POST
https://api.hellosign.com/v3/signature_request/bulk_send_with_template
POST
/v3/signature_request/bulk_send_with_template
$curl -X POST 'https://api.hellosign.com/v3/signature_request/bulk_send_with_template' \
> -u 'YOUR_API_KEY:' \
> -F 'template_ids[]=c26b8a16784a872da37ea946b9ddec7c1e11dff6' \
> -F 'subject=Purchase Order' \
> -F 'message=Glad we could come to an agreement.' \
> -F 'signer_list[0][signers][role]=Client' \
> -F 'signer_list[0][signers][name]=George' \
> -F 'signer_list[0][signers][email_address]=george@example.com' \
> -F 'signer_list[0][signers][pin]=d79a3td' \
> -F 'signer_list[0][custom_fields][0][name]=company' \
> -F 'signer_list[0][custom_fields][0][value]=ABC Corp' \
> -F 'signer_list[1][signers][role]=Client' \
> -F 'signer_list[1][signers][name]=Mary' \
> -F 'signer_list[1][signers][email_address]=mary@example.com' \
> -F 'signer_list[1][signers][pin]=gd9as5b' \
> -F 'signer_list[1][custom_fields][0][name]=company' \
> -F 'signer_list[1][custom_fields][0][value]=123 LLC' \
> -F 'ccs[0][role]=Accounting' \
> -F 'ccs[0][email_address]=accounting@example.com' \
> -F 'test_mode=1'
1{
2 "bulk_send_job": {
3 "bulk_send_job_id": "4bce667844dc3711d05e7aa4a1b5a6b64b738b2b",
4 "total": 1,
5 "is_creator": true,
6 "created_at": 1532640962
7 }
8}

Creates BulkSendJob which sends up to 250 SignatureRequests in bulk based off of the provided Template(s) specified with the template_ids parameter.

NOTE: Only available for Standard plan and higher.

Was this page helpful?
Previous

Send with Template

Next

Send Request Reminder

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
template_idslist of stringsRequired

Use template_ids to create a SignatureRequest from one or more templates, in the order in which the template will be used.

signer_filestringOptionalformat: "binary"

signer_file is a CSV file defining values and options for signer fields. Required unless a signer_list is used, you may not use both. The CSV can have the following columns:

  • name: the name of the signer filling the role of RoleName

  • email_address: email address of the signer filling the role of RoleName

  • pin: the 4- to 12-character access code that will secure this signer’s signature page (optional)

  • sms_phone_number: An E.164 formatted phone number that will receive a code via SMS to access this signer’s signature page. (optional)

    By using the feature, you agree you are responsible for obtaining a signer’s consent to receive text messages from Dropbox Sign related to this signature request and confirm you have obtained such consent from all signers prior to enabling SMS delivery for this signature request. Learn more.

    NOTE: Not available in test mode and requires a Standard plan or higher.

  • *_field: any column with a _field” suffix will be treated as a custom field (optional)

    You may only specify field values here, any other options should be set in the custom_fields request parameter.

Example CSV:

name, email_address, pin, company_field
George, george@example.com, d79a3td, ABC Corp
Mary, mary@example.com, gd9as5b, 123 LLC
signer_listlist of objectsOptional

signer_list is an array defining values and options for signer fields. Required unless a signer_file is used, you may not use both.

allow_declinebooleanOptionalDefaults to false

Allows signers to decline to sign a document if true. Defaults to false.

ccslist of objectsOptional
Add CC email recipients. Required when a CC role exists for the Template.
client_idstringOptional
The client id of the API App you want to associate with this request. Used to apply the branding and callback url defined for the app.
custom_fieldslist of objectsOptional

When used together with merge fields, custom_fields allows users to add pre-filled data to their signature requests.

Pre-filled data can be used with “send-once” signature requests by adding merge fields with form_fields_per_document or Text Tags while passing values back with custom_fields together in one API call.

For using pre-filled on repeatable signature requests, merge fields are added to templates in the Dropbox Sign UI or by calling /template/create_embedded_draft and then passing custom_fields on subsequent signature requests referencing that template.

messagestringOptional<=5000 characters
The custom message in the email that will be sent to the signers.
metadatamap from strings to anyOptional

Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request.

Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long.

signing_redirect_urlstringOptional
The URL you want signers redirected to after they successfully sign.
subjectstringOptional<=255 characters
The subject in the email that will be sent to the signers.
test_modebooleanOptionalDefaults to false

Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false.

titlestringOptional<=255 characters
The title you want to assign to the SignatureRequest.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
bulk_send_jobobject
Contains information about the BulkSendJob such as when it was created and how many signature requests are queued.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error